# MimeStringBody Class Reference

MIME for one text string. More...

`#include <yatemime.h>`

Inheritance diagram for MimeStringBody:

List of all members.

## Public Member Functions

| MimeStringBody (const String &type, const char *buf, int len=-1)
virtual | ~MimeStringBody ()
virtual void * | getObject (const String &name) const
virtual MimeBody * | clone () const
const String & | text () const

## Protected Member Functions

| MimeStringBody (const MimeStringBody &original)
virtual void | buildBody () const

## Detailed Description

MIME for one text string.

An object holding MIME data as just one text string

## Constructor & Destructor Documentation

MimeStringBody | ( | const String & | type,
|  | const char * | buf,
|  | int | len = `-1` |
| ) |  |  |

Constructor from block of data

Parameters:

  | buf | Pointer to buffer of data
  | len | Length of data in buffer
  | type | Name of the specific MIME type/subtype

virtual ~MimeStringBody | ( |  | ) | `[virtual]`

Destructor

MimeStringBody | ( | const MimeStringBody & | original | ) | `[protected]`

Copy constructor

## Member Function Documentation

virtual void* getObject | ( | const String & | name | ) | const`[virtual]`

RTTI method, get a pointer to a derived class given that class name

Parameters:

  | name | Name of the class we are asking for

Returns:
  Pointer to the requested class or NULL if this object doesn't implement it

Reimplemented from MimeBody.

virtual MimeBody* clone | ( |  | ) | const`[virtual]`

Duplicate this MIME body

Returns:
  Copy of this MIME body - a new MimeStringBody

Implements MimeBody.

const String& text | ( |  | ) | const`[inline]`

Retrive the stored data

Returns:
  String holding the data text

virtual void buildBody | ( |  | ) | const`[protected, virtual]`

Override that is called internally to build the binary encoded body

Implements MimeBody.

The documentation for this class was generated from the following file:

- yatemime.h